Subject: Re: Can Perl 5.8 build correctly on cygwin yet?
From: "Gerrit P. Haase" <[email-masked]>
To: Tommy Butler <[email-masked]>
Cc: [email-masked]
Date: Sat, 12 Oct 2002 11:06:02 +0200

Hallo Tommy,

Am Freitag, 11. Oktober 2002 um 23:18 schriebst du:

> Gerrit P. Haase wrote:

>> There is also a source package of perl-5.8 at the mirrors
>> which includes also some modules and my build scripts.

> Thanks Gerrit.

> I'd much prefer to build my own perl, but the AnyDBM standard module has kept 
> perl 5.8 from building on cygwin for me.  A while ago I investigated this and 
> found out that it was a confirmed bug though unresolved at the time.  I can't 
> recall where I read about that, but it was a few weeks ago.  I have just been 
> curious if the problem was rectified yet.  When you mentioned that there was a 
> pre-built binary for cygwin now, I was left guessing whether the problem was 
> fixed by the perl porters or pushed aside by cygwin builders when creating the 
> distro, possibly at the cost of losing one thing or another?

Nothing was pushed aside, nothing is missing, nothing was patched.

> So can you tell me anything about the status of this issue?

There is no bug.  Just look in the Cygwin Perl source package, there
are my buildlogs included, 'all tests pass' for my build.

Known problems (from the current README.cygwin):

=head2 NDBM_File and ODBM_File do not work on FAT filesystems

Do not use NDBM_File or ODBM_File on FAT filesystem.  They can be
built on a FAT filesystem, but many tests will fail:

 ../ext/NDBM_File/ndbm.t       13  3328    71   59  83.10%  1-2 4 16-71
 ../ext/ODBM_File/odbm.t      255 65280    ??   ??       %  ??
 ../lib/AnyDBM_File.t           2   512    12    2  16.67%  1 4
 ../lib/Memoize/t/errors.t      0   139    11    5  45.45%  7-11
 ../lib/Memoize/t/tie_ndbm.t   13  3328     4    4 100.00%  1-4
 run/fresh_perl.t                          97    1   1.03%  91

If you intend to run only on FAT (or if using AnyDBM_File on FAT),
run Configure with the -Ui_ndbm and -Ui_dbm options to prevent
NDBM_File and ODBM_File being built.

With NTFS (and CYGWIN=ntsec), there should be no problems even if
perl was built on FAT.

So, if you are on Win98/ME or using the FAT/FAT32 filesystem there are
problems with the *DBM modules *tests*, the modules are compiled ok.
and will work if used on NTFS filesystems (with CYGWIN=ntsec).  They
will not work ok. on FAT* filesystems.

perl-5.8 should build OOTB on Cygwin on every Windows version.
I just patched a little issue I had because I wanted the modules
manpages suffixed .3pm which doesn't work with the original package.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/